Bug 128666 - CALC: Remove Hyperlink deletes cell content if all content is selected (OK if just right click on link)
Summary: CALC: Remove Hyperlink deletes cell content if all content is selected (OK if...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2019-11-08 09:13 UTC by Heiko Tietze
Modified: 2019-12-06 07:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2019-11-08 09:13:30 UTC
Enter some multiline text in a cell, like

Test
1
http://www.libreoffice.org
2
Test

(make sure the link is a hyperlink), select all, and remove the hyperlink (command is available on right clicking the link). It removes the link while keeping the link text but also removes all selected content. The result is

http://www.libreoffice.org

If just 1 and the link is selected the following 2 is also removed. So it's not just the selection. 

Tested with master, could also be an issue with 6.3
Comment 1 Timur 2019-11-09 12:34:26 UTC
Repro in master 6.4+ if all content is selected (OK if just right click on link).
Comment 2 Samuel Mehrbrodt (CIB) 2019-11-13 07:18:43 UTC
This is a regression from https://gerrit.libreoffice.org/plugins/gitiles/core/+/040f348ee00a0d01653b3071be3d9886a08f87fe%5E%21 (bug 62561).
Comment 3 Commit Notification 2019-12-05 15:01:11 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f31c3ebb60e4678eb09e377b638b368531df47dc

tdf#128666 Only enable hyperlink actions when just the field is selected

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-12-06 07:18:07 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/64233bbaa0e91ddf14d59ae7547df6bbfa60adcc

tdf#128666 Only enable hyperlink actions when just the field is selected

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.